#-------------------------------------------------------------
# The CMakeLists.txt for:           udpwrapper
#-------------------------------------------------------------
IF (Boost_FOUND AND LIBXML2_FOUND)

 FILE (GLOB SRC *.cpp)
 FILE (GLOB HPP *.h *.hpp)
 ADD_EXECUTABLE(udpwrapper ${SRC} ${HPP})

 TARGET_LINK_LIBRARIES(udpwrapper
   vehicle-simulator
   nmea
   tools
   ${Boost_SYSTEM_LIBRARY})

 ADD_DEPENDENCIES(udpwrapper nmea vehicle-simulator)

 #MSVC has auto-linking
 IF (NOT MSVC AND WIN32)
  #Need to link with winsock on windows
  TARGET_LINK_LIBRARIES(udpwrapper ws2_32)
 ENDIF ()

ENDIF ()

